Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class DataTypeListerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.makumba.devel.DataServlet
                  org.makumba.devel.DataTypeListerServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class DataTypeListerServlet

extends DataServlet

This class lists data for a specific MDD, resp. displays an MDD broswer if no MDD is passed as parameter.

Version:
  $Id: DataTypeListerServlet.java 3590 2009-01-07 13:27:35Z rosso_nero $
Author:
  Stefan Baebler, Rudolf Mayer
See Also:
  Serialized Form

Field Summary
`protected static long` | `serialVersionUID`

Fields inherited from class org.makumba.devel.DataServlet
`browsePath, contextPath, dataPointer, logger, MODE_CONVERTOR, MODE_LIST, MODE_QUERY, MODE_VIEW, toolLocation, type, virtualPath`

Constructor Summary
`DataTypeListerServlet()`

Method Summary
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class org.makumba.devel.DataServlet
`extractFields, writePageContentHeader`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### DataTypeListerServlet

    public DataTypeListerServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `DataServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20